Back to API List
Use this API to get the agent ID associated with a Custom ID (extension number).
An Agent ID will be returned if it is mapped one-to-one with the custom ID. In scenarios where the organization has multiple agent IDs for the same custom ID, it will return an array of agent IDs.
Method GET Endpoint https://{{host}}/agentassist/api/v1/public/{{streamId}}/agents/customId/{{customId}}Content-Type application/jsonAuthorization auth: {{JWT}} See How to generate the JWT Token .API Scope Configuration
Path Parameters
Parameter Description Type hostEnvironment URL, for example, https://platform.kore.ai string, required streamIdbotId or streamId. You can get it from the App Settings page. string, required customIdThe Agent’s ID from the customer’s system. string, required
Sample Request
curl --location 'https://{{host}}/agentassist/api/v1/public/{{streamId}}/agents/customId/{{customId}}' \
--header 'auth: {{jwt}}' \
--header 'Content-Type: application/json' \
--header 'accountId: {{accountId}}'
Header Description Required/Optional accountIdThe account ID associated with the API request. required authJWT token for authentication. required
Sample Response
[
{
"firstName" : "fdsa" ,
"lastName" : "Geller" ,
"fullName" : "fdsa Geller" ,
"lFullName" : "fdsa geller" ,
"emailId" : "x@yopmail.com" ,
"nickName" : "" ,
"profImage" : "no-avatar" ,
"phoneNumber" : "" ,
"userId" : "u-fa49c902-2c47-58d7-b61b-d00777dcxxxx" ,
"accountId" : "671103693114e02715cexxxx" ,
"isAccountOwner" : true ,
"orgId" : "o-c8b351ff-6b3c-5769-afea-1a0adaf4xxxx" ,
"agentGroups" : [
{
"groupId" : "ag-836c397-9ba0-4cac-9930-e29819c3xxxx" ,
"accessLevel" : "full" ,
"role" : "manager" ,
"name" : "Default Group"
}
],
"canSupportChat" : true ,
"canSupportCase" : false ,
"canSupportVoice" : true ,
"customId" : "1111" ,
"id" : "a-8b67d6c-db44-4806-ba3a-96605aeaxxxx" ,
"status" : "ACTIVE" ,
"onlineStatus" : "Offline" ,
"onlineStatusType" : "OFFLINE"
}
]
Response Body Parameters
Parameter Description Type accountIdAccount identifier. string addressesList of WSS addresses for voice communication. array agentGroupsList of agent groups containing groupId, accessLevel, role, and name. array attachmentsEnabledWhether file attachments are enabled. boolean callRegionThe call region, for example, USA. string canSupportCaseWhether the agent can handle cases. boolean canSupportChatWhether the agent can provide chat support. boolean canSupportVoiceWhether the agent can provide voice support. boolean caseLanguageSupportList of supported case languages with proficiency levels. array chatLanguageSupportList of supported chat languages with proficiency levels. array createdAtAccount creation timestamp. string createdByUser ID of the creator. string createdByAIdAgent ID of the creator. string customIdThe custom identifier for the user. string desktopLayoutsList of desktop layout configurations. array domainVoice communication domain. string emailIdThe user’s email address. string emojisEnabledWhether emoji usage is enabled. boolean firstNameThe user’s first name. string fullNameComplete name of the user. string hoursOfOperationIdID reference for operation hours. string iceServersList of ICE server configurations for voice communication. array idAgent identifier. string iIdInternal identifier. string internalChatPermissionWhether internal chat is permitted. boolean isAccountOwnerIndicates if the user is the account owner. boolean lastNameThe user’s last name. string lastOnlineAtTimestamp of last online presence. string lFullNameLowercase version of the full name. string markedAutoAwayWhether the user is marked as automatically away. boolean maxDigitalChatSupportMaximum concurrent digital chats allowed. number maxEmailChatSupportMaximum concurrent email chats allowed. number maxMessagingChatSupportMaximum concurrent messaging chats allowed. number nameThe display name. string nickNameThe user’s nickname (optional). string onlineStatusCurrent online status text. string onlineStatusTypeCurrent online status type. string orgIdOrganization identifier. string phoneNumberThe user’s phone number. string preferencesUser preferences (includes theme). object prevStatusPrevious online status text. string prevStatusTypePrevious online status type. string profImageProfile image identifier. string queuesList of queue assignments with ID, name, and preferences. array roleThe user’s role (for example, Bot Owner). string roleIdThe role identifier. string sipURIThe SIP URI for voice communications. string skillsList of user skills with proficiency levels. array statusThe user’s account status (for example, ACTIVE). string updatedAtLast update timestamp. string userIdUnique user identifier (UUID format). string voiceLanguageSupportList of supported voice languages with proficiency levels. array voiceSupportVoice support configuration details. array